| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# csgfx/gradient.h File Reference

Simple color gradient implementation. More...

`#include "csextern.h"`
`#include "ivaria/gradient.h"`
`#include "csutil/array.h"`
`#include "csutil/cscolor.h"`
`#include "csutil/scf_implementation.h"`
`#include "csutil/scfarray.h"`
`#include "csgfx/rgbpixel.h"`

Go to the source code of this file.

## Classes
class | csGradient
| A simple color gradient. More...
struct | csGradient::scfGradientShadesArray

## Detailed Description

Simple color gradient implementation.

Definition in file gradient.h.